<?php
//TITLE=Raywalking raytracer

#$pagebegin = "
#<a href=\"/kala/oddfract/onneton22.jpg\"><img src=\"/kala/oddfract/onneton22.jpg\" align=left alt=\"\"></a>
#";

$title = 'Raywalking raytracer';
$progname = 'oddfract';

$contentsheader = "
<a href=\"/kala/oddfract/mand2001.jpg\"><img src=\"/kala/oddfract/mand2001.jpg\" align=right width=320 height=320 alt=\"\"></a>
";

$text = array(
   '1. Purpose' => "

Raytraces four-dimensional mandelbrotjulia-fractals and 3D-spheres using a slow raywalking technique.

", '1. Examples' => "

These represent my development / learning curve.

", '1.1. Fractal animations' => "

<a href=\"/kala/oddfract/onneton32.jpg\"><img src=\"/kala/oddfract/onneton32.jpg\" align=right width=320 height=240 alt=\"\"></a>

<a href=\"/kala/oddfract/mand4d11.mpg\">mand4d11.mpg</a> (06.06.01 20:00, 3473408 bytes)<br>
<a href=\"/kala/oddfract/mand4d10.mpg\">mand4d10.mpg</a> (04.06.01 22:52, 2918338 bytes)<br>
<a href=\"/kala/oddfract/mand4d9.mpg\">mand4d9.mpg</a> (01.06.01 14:07, 2422645 bytes)<br>
<a href=\"/kala/oddfract/mand4d8.mpg\">mand4d8.mpg</a> (30.05.01 22:23, 846105 bytes)<br>
<a href=\"/kala/oddfract/mand4d7.mpg\">mand4d7.mpg</a> (30.05.01 19:38, 1037680 bytes)<br>
<a href=\"/kala/oddfract/mand4d6.mpg\">mand4d6.mpg</a> (30.05.01 19:02, 131034 bytes)<br>
<a href=\"/kala/oddfract/mand4d5.mpg\">mand4d5.mpg</a> (30.05.01 16:29, 807073 bytes)<br>
<a href=\"/kala/oddfract/mand4d4.mpg\">mand4d4.mpg</a> (30.05.01 15:54, 807807 bytes)<br>
<a href=\"/kala/oddfract/mand4d3.mpg\">mand4d3.mpg</a> (30.05.01 10:46, 1759927 bytes)<br>
<a href=\"/kala/oddfract/mand4d2.mpg\">mand4d2.mpg</a> (30.05.01 02:08, 404064 bytes)<br>
<a href=\"/kala/oddfract/mand4d.mpg\">mand4d.mpg</a> (30.05.01 01:57, 78546 bytes)<br>
<a href=\"/kala/oddfract/param_file\">param_file</a> (mpeg_encode parameter file to create mand4d11.mpg)

", '1.1. Still images' => "

<a href=\"/kala/oddfract/onneton33.jpg\"><img src=\"/kala/oddfract/onneton33.jpg\" align=right width=320 height=240 alt=\"\"></a>

<a href=\"/kala/oddfract/onneton55.jpg\">onneton55.jpg</a> (08.06.01 05:19, 27804 bytes)<br>
<a href=\"/kala/oddfract/onneton54.jpg\">onneton54.jpg</a> (08.06.01 05:19, 64358 bytes)<br>
<a href=\"/kala/oddfract/onneton53.jpg\">onneton53.jpg</a> (08.06.01 04:54, 77008 bytes)<br>
<a href=\"/kala/oddfract/onneton52.jpg\">onneton52.jpg</a> (08.06.01 04:44, 21642 bytes)<br>
<a href=\"/kala/oddfract/onneton51.jpg\">onneton51.jpg</a> (08.06.01 04:41, 36854 bytes)<br>
<a href=\"/kala/oddfract/onneton50.jpg\">onneton50.jpg</a> (08.06.01 04:38, 22559 bytes)<br>
<a href=\"/kala/oddfract/onneton49d.jpg\">onneton49d.jpg</a> (07.06.01 18:26, 26924 bytes)<br>
<a href=\"/kala/oddfract/onneton49c.jpg\">onneton49c.jpg</a> (07.06.01 18:20, 26920 bytes)<br>
<a href=\"/kala/oddfract/onneton49b.jpg\">onneton49b.jpg</a> (07.06.01 18:13, 28157 bytes)<br>
<a href=\"/kala/oddfract/onneton49.jpg\">onneton49.jpg</a> (07.06.01 18:04, 26588 bytes)<br>
<a href=\"/kala/oddfract/onneton48.jpg\">onneton48.jpg</a> (07.06.01 18:00, 27111 bytes)<br>
<a href=\"/kala/oddfract/onneton47.jpg\">onneton47.jpg</a> (07.06.01 17:58, 12546 bytes)<br>
<a href=\"/kala/oddfract/onneton46.jpg\">onneton46.jpg</a> (07.06.01 17:54, 13012 bytes)<br>
<a href=\"/kala/oddfract/onneton45.jpg\">onneton45.jpg</a> (07.06.01 17:48, 10716 bytes)<br>
<a href=\"/kala/oddfract/onneton44.jpg\">onneton44.jpg</a> (06.06.01 03:24, 11714 bytes)<br>
<a href=\"/kala/oddfract/onneton43.jpg\">onneton43.jpg</a> (05.06.01 22:51, 22700 bytes)<br>
<a href=\"/kala/oddfract/onneton42.jpg\">onneton42.jpg</a> (05.06.01 22:47, 9419 bytes)<br>
<a href=\"/kala/oddfract/onneton41.jpg\">onneton41.jpg</a> (05.06.01 22:44, 11484 bytes)<br>
<a href=\"/kala/oddfract/onneton40.jpg\">onneton40.jpg</a> (05.06.01 22:42, 11216 bytes)<br>

<a href=\"/kala/oddfract/onneton49.jpg\"><img src=\"/kala/oddfract/onneton49.jpg\" align=right width=320 height=240 alt=\"\"></a>

<a href=\"/kala/oddfract/onneton39.jpg\">onneton39.jpg</a> (05.06.01 22:40, 6662 bytes)<br>
<a href=\"/kala/oddfract/onneton38.jpg\">onneton38.jpg</a> (05.06.01 22:37, 8374 bytes)<br>
<a href=\"/kala/oddfract/onneton37.jpg\">onneton37.jpg</a> (05.06.01 22:35, 9398 bytes)<br>
<a href=\"/kala/oddfract/onneton36.jpg\">onneton36.jpg</a> (05.06.01 22:16, 13605 bytes)<br>
<a href=\"/kala/oddfract/onneton35f.jpg\">onneton35f.jpg</a> (05.06.01 22:14, 7022 bytes)<br>
<a href=\"/kala/oddfract/onneton35e.jpg\">onneton35e.jpg</a> (05.06.01 22:12, 6752 bytes)<br>
<a href=\"/kala/oddfract/onneton35d.jpg\">onneton35d.jpg</a> (05.06.01 22:02, 8871 bytes)<br>
<a href=\"/kala/oddfract/onneton35c.jpg\">onneton35c.jpg</a> (05.06.01 21:59, 8976 bytes)<br>
<a href=\"/kala/oddfract/onneton35b.jpg\">onneton35b.jpg</a> (05.06.01 21:57, 6644 bytes)<br>
<a href=\"/kala/oddfract/onneton35.jpg\">onneton35.jpg</a> (05.06.01 21:53, 10843 bytes)<br>
<a href=\"/kala/oddfract/onneton34.jpg\">onneton34.jpg</a> (05.06.01 21:50, 7172 bytes)<br>
<a href=\"/kala/oddfract/onneton33.jpg\">onneton33.jpg</a> (05.06.01 21:47, 8093 bytes)<br>
<a href=\"/kala/oddfract/onneton32.jpg\">onneton32.jpg</a> (05.06.01 21:45, 4335 bytes)<br>
<a href=\"/kala/oddfract/onneton31.jpg\">onneton31.jpg</a> (05.06.01 21:35, 5226 bytes)<br>
<a href=\"/kala/oddfract/onneton30.jpg\">onneton30.jpg</a> (05.06.01 20:52, 4785 bytes)<br>
<a href=\"/kala/oddfract/onneton29.jpg\">onneton29.jpg</a> (05.06.01 20:23, 4621 bytes)<br>
<a href=\"/kala/oddfract/onneton28.jpg\">onneton28.jpg</a> (05.06.01 19:47, 7424 bytes)<br>
<a href=\"/kala/oddfract/onneton27.jpg\">onneton27.jpg</a> (05.06.01 19:40, 5390 bytes)<br>
<a href=\"/kala/oddfract/onneton26.jpg\">onneton26.jpg</a> (05.06.01 19:33, 5549 bytes)<br>

<a href=\"/kala/oddfract/onneton46.jpg\"><img src=\"/kala/oddfract/onneton46.jpg\" align=right width=320 height=240 alt=\"\"></a>

<a href=\"/kala/oddfract/onneton25.jpg\">onneton25.jpg</a> (05.06.01 19:31, 5809 bytes)<br>
<a href=\"/kala/oddfract/onneton24.jpg\">onneton24.jpg</a> (05.06.01 19:29, 9586 bytes)<br>
<a href=\"/kala/oddfract/onneton23.jpg\">onneton23.jpg</a> (03.06.01 06:34, 12982 bytes)<br>
<a href=\"/kala/oddfract/onneton22.jpg\">onneton22.jpg</a> (03.06.01 06:26, 5761 bytes)<br>
<a href=\"/kala/oddfract/onneton21.jpg\">onneton21.jpg</a> (03.06.01 06:01, 43159 bytes)<br>
<a href=\"/kala/oddfract/onneton20.jpg\">onneton20.jpg</a> (03.06.01 05:42, 16056 bytes)<br>
<a href=\"/kala/oddfract/onneton19.jpg\">onneton19.jpg</a> (03.06.01 05:34, 19195 bytes)<br>
<a href=\"/kala/oddfract/onneton18.jpg\">onneton18.jpg</a> (03.06.01 05:31, 10141 bytes)<br>
<a href=\"/kala/oddfract/onneton17.jpg\">onneton17.jpg</a> (03.06.01 05:30, 9881 bytes)<br>
<a href=\"/kala/oddfract/onneton16.jpg\">onneton16.jpg</a> (03.06.01 05:28, 10662 bytes)<br>
<a href=\"/kala/oddfract/onneton15.jpg\">onneton15.jpg</a> (03.06.01 05:24, 12559 bytes)<br>
<a href=\"/kala/oddfract/onneton14.jpg\">onneton14.jpg</a> (03.06.01 05:13, 13413 bytes)<br>
<a href=\"/kala/oddfract/onneton13.jpg\">onneton13.jpg</a> (03.06.01 05:10, 8995 bytes)<br>
<a href=\"/kala/oddfract/onneton12.jpg\">onneton12.jpg</a> (03.06.01 04:43, 9012 bytes)<br>
<a href=\"/kala/oddfract/onneton11.jpg\">onneton11.jpg</a> (03.06.01 04:42, 13167 bytes)<br>
<a href=\"/kala/oddfract/onneton10.jpg\">onneton10.jpg</a> (03.06.01 04:40, 12179 bytes)<br>
<a href=\"/kala/oddfract/onneton9.jpg\">onneton9.jpg</a> (03.06.01 04:38, 13167 bytes)<br>
<a href=\"/kala/oddfract/onneton8.jpg\">onneton8.jpg</a> (03.06.01 04:37, 13180 bytes)<br>
<a href=\"/kala/oddfract/onneton7.jpg\">onneton7.jpg</a> (03.06.01 04:13, 25209 bytes)<br>
<a href=\"/kala/oddfract/onneton6.jpg\">onneton6.jpg</a> (03.06.01 04:12, 14486 bytes)<br>
<a href=\"/kala/oddfract/onneton5.jpg\">onneton5.jpg</a> (03.06.01 04:12, 12669 bytes)<br>
<a href=\"/kala/oddfract/onneton4.jpg\">onneton4.jpg</a> (03.06.01 04:11, 12669 bytes)<br>
<a href=\"/kala/oddfract/onneton3.jpg\">onneton3.jpg</a> (03.06.01 04:09, 12724 bytes)<br>
<a href=\"/kala/oddfract/onneton2.jpg\">onneton2.jpg</a> (03.06.01 04:09, 12669 bytes)<br>
<a href=\"/kala/oddfract/onneton1.jpg\">onneton1.jpg</a> (03.06.01 04:08, 12669 bytes)<br>

<a href=\"/kala/oddfract/mand2295b.jpg\"><img src=\"/kala/oddfract/mand2295.jpg\" align=right width=320 height=320 alt=\"\"></a>

", '1. Copying' => "

oddfract has been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.iki.fi/\">Bisqwit</a>,<br>
and is distributed under the following terms:<br>
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

", '1. Thanks' => "

Limitless thanks to my friend raytracing expert Warp
(<a href=\"http://iki.fi/warp/\">http://iki.fi/warp/</a>)
for his vector math knowledge, raytracing expertice,
and patience with me :)

", '1. Platform' => "

The programs write TGA files to stdout, and have been written in C++.<br>
They can be compiled with 2.95-series gcc at least.

");
include '/WWW/progdesc.php';
